Changes for READER.C by Andreas Scherer, January 20, 1995.

@x l.28
#include <stdio.h>
#include <ctype.h>
#include "system.h"
#include "files.h"
#include "new.h"
#include "symtab.h"
#include "lex.h"
#include "gram.h"
#include "machine.h"
@y
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include "system.h"
#include "files.h"
#include "ansinew.h"
#include "symtab.h"
#include "lex.h"
#include "gram.h"
#include "machine.h"
@z

@x l.55
extern void init_lex();
extern void tabinit();
extern void output_headers();
extern void output_trailers();
extern void free_symtab();
extern void open_extra_files();
extern void fatal();
extern void fatals();
extern void unlex();
extern void done();

extern int skip_white_space();
extern int parse_percent_token();
extern int lex();

void read_declarations();
void copy_definition();
void parse_token_decl();
void parse_start_decl();
void parse_type_decl();
void parse_assoc_decl();
void parse_union_decl();
void parse_expect_decl();
void copy_action();
void readgram();
void record_rule_line();
void packsymbols();
void output_token_defines();
void packgram();
int read_signed_integer();
int get_type();

typedef
  struct symbol_list
    {
      struct symbol_list *next;
      bucket *sym;
      bucket *ruleprec;
    }
  symbol_list;
@y
typedef
  struct symbol_list
    {
      struct symbol_list *next;
      bucket *sym;
      bucket *ruleprec;
    }
  symbol_list;

void reader(void);
void read_declarations(void);
void copy_definition(void);
void parse_token_decl(int, int);
void parse_start_decl(void);
void parse_type_decl(void);
void parse_assoc_decl(int);
void parse_union_decl(void);
void parse_expect_decl(void);
char * get_type_name(int, symbol_list *);
void copy_guard(symbol_list *, int);
void copy_action(symbol_list *, int);
bucket * gensym(void);
void readgram(void);
void record_rule_line(void);
int get_type(void);
void packsymbols(void);
void output_token_defines(FILE *);
void packgram(void);
int read_signed_integer(FILE *);

extern void init_lex(void);
extern void output_headers(void);
extern void output_trailers(void);
extern void fatal(char *);
extern void fatals(char *,...);
extern void unlex(int);
extern int skip_white_space(void);
extern int parse_percent_token(void);
extern void tabinit(void);
extern void free_symtab(void);
extern void open_extra_files(void);
extern void done(int);
extern int lex(void);

extern bucket *getsym(char *);
@z

@x l.1550
      rline = (short *) xrealloc (rline,
				  rline_allocated * sizeof (short));
@y
      rline = (short *) xrealloc ((char *)rline,
				  rline_allocated * sizeof (short));
@z
